# PetscRandomRegisterAll

Registers all of the components in the PetscRandom package.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PETSC_DLLEXPORT PetscRandomRegisterAll(const char path[])

Not Collective

### Input parameter

path -The dynamic library path

### Keywords

PetscRandom, register, all

### See Also

PetscRandomRegister(), PetscRandomRegisterDestroy(), PetscRandomRegisterDynamic()

Level:advanced
Location: src/sys/random/interface/randreg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages